function Gs = sympl_givens_1(x, k, m)

if k > m
    error('k is out of bounds!');
end

[c,s] = givens(x([m+k, k]));

Gs = @(A) apply_sympl_givens(A, c, s, m+k, k);

end

function A = apply_sympl_givens(A, c, s, i, j)

A(:, [i,j]) = A(:, [i,j]) * [c, s; -s, c];

end