function Gs = sympl_givens_2(x, i, j, m)

if i > m || i > m
    error('i or j is out of bounds!');
end

[c,s] = givens(x([2, 1]));

Gs = @(A) apply_sympl_givens(A, c, s, j, i, m);

end

function A = apply_sympl_givens(A, c, s, i, j, m)

A(:, [i,j]) = A(:, [i,j]) * [c, s; -s, c];
A(:, [m+i,m+j]) = A(:, [m+i,m+j]) * [c, s; -s, c];

end