function Ps = sympl_switch(k, m)
% ()*Ps swtiches columns: k and m+k

Ps = @(A) apply_sympl_switch(A, k, m);

end

function A = apply_sympl_switch(A, k, m)

A(:, [k, m+k]) = A(:, [m+k, k]) * diag([-1, 1]);

end
